#!/usr/bin/make -f

#export DH_VERBOSE=1

version         := $(shell dpkg-parsechangelog | sed -nr '/^Version:/s/Version: (.*:)?(.*)-(.*)/\2/p')

source_name     := broadcom-sta
source_package  := $(source_name)-source
source_target   := usr/src/modules/$(source_name)
source_debdir   := debian/$(source_package)/$(source_target)/debian

dkms_package    := $(source_name)-dkms
dkms_target     := usr/src/$(source_name)-$(version)

# Live config
ids_dir         := usr/share/broadcom-sta

%:
	dh $@ --with dkms

install-tmp:
	mkdir -p debian/tmp
	cp -a amd64/* debian/tmp/
	
	# Shipped proprietary precompiled driver
	rm -f debian/tmp/lib/wlc_hybrid.o_shipped
	rm -f debian/tmp/lib/LICENSE.txt # License is in copyright file
	cp amd64/lib/wlc_hybrid.o_shipped debian/tmp/lib/wlc_hybrid.o_amd64
	cp i386/lib/wlc_hybrid.o_shipped debian/tmp/lib/wlc_hybrid.o_i386
	
install-dkms: install-tmp
	dh_installdirs -p $(dkms_package) $(dkms_target)
	dh_install -p $(dkms_package) debian/tmp/* $(dkms_target)/
	dh_install -p $(dkms_package) debian/broadcom-sta.ids $(ids_dir)/

install-source: install-tmp
	dh_installdirs -p $(source_package) $(source_target)
	dh_install -p $(source_package) debian/tmp/* README.txt $(source_target)/
	
	# Copy Debian files
	install -D -m 0755 debian/rules.modules $(source_debdir)/rules
	for file in changelog compat control control.modules.in copyright; do \
		install -m 644 debian/$$file $(source_debdir); \
	done
	
	# Make suitable tarball for module-assisant and kernel-package
	cd debian/$(source_package)/usr/src && tar cfJ $(source_name).tar.xz modules && rm -rf modules

override_dh_install: install-dkms install-source

override_dh_dkms:
	dh_dkms -V $(version)

# do nothing
override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_install override_dh_auto_clean:
